Skip to content
GitHub

The app's Kubernetes events (pods, workloads, route, certificates), newest first, at most 100. Kubernetes keeps events for about an hour.

GET
/api/v1/projects/{project}/environments/{environment}/apps/{app}/events
curl --request GET \
--url https://example.com/api/v1/projects/example/environments/example/apps/example/events
project
required
string

Project name

environment
required
string

Environment short name

app
required
string

App name

Media typeapplication/json
Array<object>

A Kubernetes event about one of the app’s objects.

object
kind
required

Kind and name of the object (Pod, Deployment, HTTPRoute, Certificate, …).

string
name
required
string
type
required

Normal or Warning.

string
reason
string | null
message
string | null
count
required
integer format: int32
first_seen
string | null
last_seen
string | null
source

The component that reported it.

string | null
Examplegenerated
[
{
"kind": "example",
"name": "example",
"type": "example",
"reason": "example",
"message": "example",
"count": 1,
"first_seen": "example",
"last_seen": "example",
"source": "example"
}
]
Media typeapplication/json

Problem Details body.

object
code
required

Stable machine-readable code, e.g. forbidden.

string
title
required

Short human readable title.

string
status
required

HTTP status.

integer format: int32
detail

Details, if safe to expose.

string | null
Example
{
"code": "forbidden"
}